diff -urN anaconda-7.2/bootloader.py anaconda-7.2-hp/bootloader.py
--- anaconda-7.2/bootloader.py	Wed Aug 29 18:08:35 2001
+++ anaconda-7.2-hp/bootloader.py	Tue Feb  5 13:09:58 2002
@@ -757,15 +757,9 @@
 	else:
 	    otherList.append(label, longlabel, dev)
 
-    plainLabelUsed = 0
     for (version, nick) in comps.kernelVersionList():
-	if plainLabelUsed:
-	    kernelList.append("%s-%s" % (kernelLabel, nick),
+	    kernelList.append("%s" % nick,
                               "%s-%s" % (kernelLongLabel, nick), version)
-	else:
-	    kernelList.append(kernelLabel, kernelLongLabel, version)
-	    plainLabelUsed = 1
-
 
     bl.write(instRoot, fsset, bl, langs, kernelList, otherList, defaultDev,
                  justConfigFile, intf)
diff -urN anaconda-7.2/comps.py anaconda-7.2-hp/comps.py
--- anaconda-7.2/comps.py	Wed Sep  5 20:40:49 2001
+++ anaconda-7.2-hp/comps.py	Tue Feb  5 13:58:18 2002
@@ -33,6 +33,7 @@
 
                     'kernel' : None,		'kernel-BOOT' : None,
                     'kernel-smp' : None,	'kernel-enterprise' : None,
+                    'kernel-mckinley' : None,	'kernel-mckinleysmp' : None,
                     'kernel-vrdr' : None,	'kernel-tape' : None,
                     'kernel-BOOTtape' : None,	'kernel-BOOTvrdr' : None,
 
@@ -752,8 +753,10 @@
 	kernelVersions = []
 
 	# nick is used to generate the lilo name
-	for (ktag, nick) in [ ('kernel-enterprise', 'nick'),
-			      ('kernel-smp', 'smp'),
+	for (ktag, nick) in [ ('kernel-enterprise', 'enterprise'),
+			      ('kernel-mckinleysmp', 'mckinley-smp'),
+			      ('kernel-mckinley', 'mckinley'),
+			      ('kernel-smp', 'itanium-smp'),
 			      ('kernel-tape', 'tape') ]:
 	    tag = split(ktag, '-')[1]
 	    if (self.packages.has_key(ktag) and 
@@ -766,7 +769,7 @@
             self.packages['kernel'].selected):
             version = (self.packages['kernel'][rpm.RPMTAG_VERSION] + "-" +
                        self.packages['kernel'][rpm.RPMTAG_RELEASE])
-            kernelVersions.append((version, 'up'))
+            kernelVersions.append((version, 'itanium'))
  
 	return kernelVersions
 
diff -urN anaconda-7.2/gui.py anaconda-7.2-hp/gui.py
--- anaconda-7.2/gui.py	Thu Aug 30 12:19:55 2001
+++ anaconda-7.2-hp/gui.py	Mon Jan 28 09:35:06 2002
@@ -39,7 +39,7 @@
     "language" : ("language_gui", "LanguageWindow"),
     "keyboard" : ("keyboard_gui", "KeyboardWindow"),
     "mouse" : ("mouse_gui", "MouseWindow"),
-    "welcome" : ("welcome_gui", "WelcomeWindow"),
+    "welcome" : ("welcome_gui", "HPWelcomeWindow"),
     "installtype" : ("installpath_gui", "InstallPathWindow"),
     "partitionmethod" : ("partmethod_gui", "PartitionMethodWindow"),
     "partition" : ("partition_gui", "PartitionWindow"),
diff -urN anaconda-7.2/image.py anaconda-7.2-hp/image.py
--- anaconda-7.2/image.py	Wed Jun 20 22:42:21 2001
+++ anaconda-7.2-hp/image.py	Wed Feb  6 13:16:41 2002
@@ -1,4 +1,9 @@
 # Install method for disk image installs (CD & NFS)
+#
+# Copyright Red Hat, Inc.
+#
+# Portions (C) 2001, 2002 Hewlett-Packard Company
+# Portions (C) 2001, 2002 Martin K. Petersen <mkp@mkp.net>
 
 from comps import ComponentSet, HeaderListFromFile
 from installmethod import InstallMethod
@@ -72,10 +77,45 @@
 	isys.makeDevInode("loop0", "/tmp/loop")
 	isys.lochangefd("/tmp/loop", self.loopbackFile)
 
+        # HPLSO (mkp)
+	self.updates = "%s%s%s" % (chroot,
+                                   fsset.filesystemSpace(chroot)[0][0],
+                                   "/updates.img")
+        
+	try:
+	    iutil.copyFile("%s/RedHat/base/updates.img" % self.tree, 
+			    self.updates,
+			    (self.progressWindow, _("Copying File"),
+			    _("Transferring packages to hard drive...")))
+	except:
+	    self.messageWindow(_("Error"),
+		    _("An error occured transferring the packages "
+		      "to your hard drive. You are probably out of disk "
+		      "space."))
+	    return 1
+
+	isys.makeDevInode("loop3", "/tmp/loop3")
+        isys.losetup("/tmp/loop3", self.updates, readOnly = 1)
+        log("Created /tmp/loop3")
+
+        os.mkdir("/mnt/updates")
+
+        if isys.mount("/tmp/loop3", "/mnt/updates", fstype = "iso9660",
+                      readOnly = 1):
+	    self.messageWindow(_("Error"),
+		    _("Error mounting updates directory!"))
+	    return 1
+        
+        log("Mounted updates")
+
     def getFilename(self, h, timer):
         if h[1000002] == None:
             log ("header for %s has no disc location tag, assuming it's"
                  "on the current CD", h[1000000])
+
+        elif h[1000002] == 3:
+            	return "/mnt/updates/RedHat/RPMS/" + h[1000000]
+
         elif h[1000002] != self.currentDisc:
 	    timer.stop()
 
@@ -116,8 +156,9 @@
 		isys.ejectCdrom(self.device)
 
 	    while not done:
-		self.messageWindow(_("Change CDROM"), 
-		    _("Please insert disc %d to continue.") % self.currentDisc)
+                self.messageWindow(_("Change CDROM"),
+                                   _("Please insert Red Hat disc %d to continue.")
+                                   % self.currentDisc)
 
 		try:
 		    if isys.mount(self.device, "/mnt/source", 
@@ -157,7 +198,11 @@
 
     def writeCleanupPath(self, f):
 	isys.makeDevInode("loop0", "/tmp/loop0")
+	isys.makeDevInode("loop3", "/tmp/loop3")
 	isys.makeDevInode(self.device, "/tmp/cdrom")
+	f.write("umount /mnt/updates\n")
+	f.write("lounsetup /tmp/loop3\n")
+        os.unlink(self.updates)
 	f.write("umount /mnt/runtime\n")
 	f.write("lounsetup /tmp/loop0\n")
 	f.write("umount /mnt/source\n")
@@ -167,7 +212,7 @@
 	(self.device, tree) = string.split(url, "/", 1)
 	self.messageWindow = messageWindow
 	self.progressWindow = progressWindow
-	self.currentDisc = 1
+	self.currentDisc = 3
         self.loopbackFile = None
 	ImageInstallMethod.__init__(self, "/" + tree)
 
diff -urN anaconda-7.2/iw/progress_gui.py anaconda-7.2-hp/iw/progress_gui.py
--- anaconda-7.2/iw/progress_gui.py	Wed Aug 29 16:37:44 2001
+++ anaconda-7.2-hp/iw/progress_gui.py	Mon Jan 28 08:38:42 2002
@@ -164,8 +164,8 @@
         else:
             shortlang = ''
                 
-        pixmaps1 = glob.glob("/usr/share/anaconda/pixmaps/rnotes/%s/*.png" % shortlang)
-        pixmaps2 = glob.glob("pixmaps/rnotes/%s/*.png" % shortlang)
+        pixmaps1 = glob.glob("/usr/share/anaconda/pixmaps/hpnotes/*.png")
+        pixmaps2 = glob.glob("pixmaps/rnotes/*.png")
 
         if len(pixmaps1) > 0 or len(pixmaps2) > 0:
             if len(pixmaps1) < len(pixmaps2):
@@ -182,7 +182,7 @@
         pixmaps = []
         for pixmap in files:
             if string.find (pixmap, "progress_first.png") < 0:
-                pixmaps.append(pixmap[string.find(pixmap, "rnotes/"):])
+                pixmaps.append(pixmap[string.find(pixmap, "hpnotes/"):])
 
         self.pixmaps = pixmaps
         self.pixtimer = timer.Timer()
diff -urN anaconda-7.2/iw/welcome_gui.py anaconda-7.2-hp/iw/welcome_gui.py
--- anaconda-7.2/iw/welcome_gui.py	Tue Aug  7 11:42:06 2001
+++ anaconda-7.2-hp/iw/welcome_gui.py	Mon Jan 28 09:37:03 2002
@@ -16,6 +16,33 @@
 from iw_gui import *
 from translate import _, N_
 
+class HPWelcomeWindow (InstallWindow):		
+
+    windowTitle = N_("Welcome")
+    htmlTag = "wel"
+
+    def __init__ (self, ics):
+	InstallWindow.__init__ (self, ics)
+        ics.setGrabNext (1)
+
+    # WelcomeWindow tag="wel"
+    def getScreen (self, configFileData):
+        frame = GtkFrame ()
+        frame.set_shadow_type (SHADOW_IN)
+
+        pix = self.ics.readPixmap("splash.png")
+        
+        if pix:
+            box = GtkEventBox ()
+            style = box.get_style ().copy ()
+            style.bg[STATE_NORMAL] = style.white
+            box.set_style (style)
+            box.add (pix)
+            frame.add (box)
+
+        return frame
+
+
 class WelcomeWindow (InstallWindow):		
 
     windowTitle = N_("Welcome")
diff -urN anaconda-7.2/packages.py anaconda-7.2-hp/packages.py
--- anaconda-7.2/packages.py	Thu Jan 24 12:52:30 2002
+++ anaconda-7.2-hp/packages.py	Tue Feb  5 13:15:16 2002
@@ -370,8 +370,14 @@
 	    if (string.find(os.uname()[2], "tape") > -1):
 		select(id.hdList, 'kernel-tape')
 	elif isys.smpAvailable():
+            if (id.hdList.has_key('kernel-mckinleysmp')):
+                select(id.hdList, 'kernel-mckinleysmp')
+
             select(id.hdList, 'kernel-smp')
 
+        if (id.hdList.has_key('kernel-mckinley')):
+            select(id.hdList, 'kernel-mckinley')
+
 	if (id.hdList.has_key('kernel-enterprise')):
 	    import lilo
 
diff -urN anaconda-7.2/partitioning.py anaconda-7.2-hp/partitioning.py
--- anaconda-7.2/partitioning.py	Thu Jan 24 12:52:30 2002
+++ anaconda-7.2-hp/partitioning.py	Mon Jan 28 09:05:30 2002
@@ -678,11 +678,12 @@
             requests.addDelete(delete)
 
 # get the default partition table type for our architecture
+# HPLSO: Use msdos instead of EFI for the time being
 def getDefaultDiskType():
     if iutil.getArch() == "i386":
         return parted.disk_type_get("msdos")
     elif iutil.getArch() == "ia64":
-        return parted.disk_type_get("GPT")
+        return parted.disk_type_get("msdos")
     else:
         # XXX fix me for alpha at least
         return parted.disk_type_get("msdos")
diff -urN anaconda-7.2/pixmaps/Makefile anaconda-7.2-hp/pixmaps/Makefile
--- anaconda-7.2/pixmaps/Makefile	Wed Aug 22 16:22:46 2001
+++ anaconda-7.2-hp/pixmaps/Makefile	Tue Feb  5 01:27:08 2002
@@ -9,9 +9,12 @@
 	mkdir -p $(DESTDIR)/$(ANACONDADATADIR)/pixmaps
 	install *.png $(DESTDIR)/$(ANACONDADATADIR)/pixmaps
 
+	mkdir -p $(DESTDIR)/$(ANACONDADATADIR)/pixmaps/hpnotes
+	install hpnotes/*.png $(DESTDIR)/$(ANACONDADATADIR)/pixmaps/hpnotes
+
 	for i in $(RNOTES_LANGS); do \
-	  mkdir -p $(DESTDIR)/$(ANACONDADATADIR)/pixmaps/rnotes/$$i; \
-	  install rnotes/$$i/*.png $(DESTDIR)/$(ANACONDADATADIR)/pixmaps/rnotes/$$i; \
+	  mkdir -p $(DESTDIR)/$(ANACONDADATADIR)/pixmaps/hpnotes/$$i; \
+	  install rnotes/$$i/*.png $(DESTDIR)/$(ANACONDADATADIR)/pixmaps/hpnotes/$$i; \
 	done
 
 depend:
diff -urN anaconda-7.2/scripts/mk-images anaconda-7.2-hp/scripts/mk-images
--- anaconda-7.2/scripts/mk-images	Wed Sep  5 12:52:54 2001
+++ anaconda-7.2-hp/scripts/mk-images	Mon Jan 28 15:18:06 2002
@@ -759,9 +759,9 @@
     if [ ! -f "$kpackage" ]; then
 	if [ "$BUILDARCH" == "ia64" ]; then
 	    # XXX remove me post beta
-	    echo 'kernel-BOOT does not exist -- using kernel-smp package on ia64'
-	    kpackage=$($LATEST $KERNELPATH kernel-smp)
-	    vertag="smp"
+	    echo 'kernel-BOOT does not exist -- using mckinley package on ia64'
+	    kpackage=$($LATEST $KERNELPATH kernel-mckinley)
+	    vertag="mckinley"
 	else
 	    echo 'kernel-BOOT does not exist -- using kernel package'
 	    kpackage=$($LATEST $KERNELPATH kernel)
